org.codehaus.plexus.component.repository

## Class DefaultComponentRepository

- java.lang.Object
- - org.codehaus.plexus.logging.AbstractLogEnabled
  - - org.codehaus.plexus.component.repository.DefaultComponentRepository

All Implemented Interfaces:
  ComponentRepository, LogEnabled

    public class DefaultComponentRepository
    extends AbstractLogEnabled
    implements ComponentRepository

### Constructor Summary

Constructors
Constructor and Description
`DefaultComponentRepository()`

### Method Summary

Methods
`void` `addComponentDescriptor(ComponentDescriptor componentDescriptor)`
`void` `addComponentDescriptor(PlexusConfiguration configuration)`
`void` `configure(PlexusConfiguration configuration)`
`List` `getComponentDependencies(ComponentDescriptor componentDescriptor)`
`ComponentDescriptor` `getComponentDescriptor(String key)`
`Map` `getComponentDescriptorMap(String role)`
`protected PlexusConfiguration` `getConfiguration()`
`boolean` `hasComponent(String role)`
`boolean` `hasComponent(String role, String roleHint)`
`void` `initialize()`
`void` `initializeComponentDescriptors()`
`void` `setClassRealm(ClassRealm classRealm)`
`void` `validateComponentDescriptor(ComponentDescriptor componentDescriptor)`

### Methods inherited from class org.codehaus.plexus.logging.AbstractLogEnabled

`enableLogging, getLogger, setupLogger, setupLogger, setupLogger`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DefaultComponentRepository

    public DefaultComponentRepository()

### Method Detail

#### getConfiguration

    protected PlexusConfiguration getConfiguration()

#### hasComponent

    public boolean hasComponent(String role)

Specified by:
  `hasComponent` in interface `ComponentRepository`

#### hasComponent

    public boolean hasComponent(String role,
                       String roleHint)

Specified by:
  `hasComponent` in interface `ComponentRepository`

#### getComponentDescriptorMap

    public Map getComponentDescriptorMap(String role)

Specified by:
  `getComponentDescriptorMap` in interface `ComponentRepository`

#### getComponentDescriptor

    public ComponentDescriptor getComponentDescriptor(String key)

Specified by:
  `getComponentDescriptor` in interface `ComponentRepository`

#### setClassRealm

    public void setClassRealm(ClassRealm classRealm)

Specified by:
  `setClassRealm` in interface `ComponentRepository`

#### configure

    public void configure(PlexusConfiguration configuration)

Specified by:
  `configure` in interface `ComponentRepository`

#### initialize

    public void initialize()
                    throws ComponentRepositoryException

Specified by:
  `initialize` in interface `ComponentRepository`
Throws:
  `ComponentRepositoryException`

#### initializeComponentDescriptors

    public void initializeComponentDescriptors()
                                        throws ComponentRepositoryException

Throws:
  `ComponentRepositoryException`

#### addComponentDescriptor

    public void addComponentDescriptor(PlexusConfiguration configuration)
                                throws ComponentRepositoryException

Specified by:
  `addComponentDescriptor` in interface `ComponentRepository`
Throws:
  `ComponentRepositoryException`

#### addComponentDescriptor

    public void addComponentDescriptor(ComponentDescriptor componentDescriptor)
                                throws ComponentRepositoryException

Specified by:
  `addComponentDescriptor` in interface `ComponentRepository`
Throws:
  `ComponentRepositoryException`

#### validateComponentDescriptor

    public void validateComponentDescriptor(ComponentDescriptor componentDescriptor)
                                     throws ComponentImplementationNotFoundException

Specified by:
  `validateComponentDescriptor` in interface `ComponentRepository`
Throws:
  `ComponentImplementationNotFoundException`

#### getComponentDependencies

    public List getComponentDependencies(ComponentDescriptor componentDescriptor)

Specified by:
  `getComponentDependencies` in interface `ComponentRepository`